Bug 243698 - fedora-release should use yum failovermethod=priority
Summary: fedora-release should use yum failovermethod=priority
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-11 13:57 UTC by Matt Domsch
Modified: 2013-01-10 01:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-14 17:43:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2007-06-11 13:57:34 UTC
Description of problem:
By default, yum uses failovermethod=roundrobin to achieve load balancing.  As
soon as mirrormanager itself manages the mirrorlist and can return it in
priority order with internal sub-list randomization, fedora-release should put
failovermethod=priority into each [repository] section that also has a
mirrorlist= line pointing at mirrors.fedoraproject.org.

Coordinate with Matt Domsch as to when mirrormanager will return results in
priority order.

Version-Release number of selected component (if applicable):
7-3

Comment 1 Jesse Keating 2007-06-12 20:18:23 UTC
I'm a bit confused, is this something I should do now, or do I need to wait for
something on the MirrorManager side?

Comment 2 Matt Domsch 2007-06-12 20:33:05 UTC
wait for a new python-GeoIP to be released that exports country->continent 
mapping, and for mirrormanager to make use of that.  Then release a new fedora-
release.

Comment 3 Jesse Keating 2007-06-25 14:24:49 UTC
Going to mark this as needinfo until that gets done.

Comment 4 Matt Domsch 2007-09-14 17:22:00 UTC
A new mirrormanager is in place that provides a priority-sorted list of mirror
servers.  It's now time to change the fedora-release packages for FC6, F7, and
rawhide to add 

failovermethod=priority

into each [reponame] section of the /etc/yum.repos.d/fedora*.repo files.


Comment 5 Jesse Keating 2007-09-14 17:43:51 UTC
This has been done.


Note You need to log in before you can comment on or make changes to this bug.